Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Plotten in Bricscad

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Plotten in Bricscad (1228 mal gelesen)
mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 06. Mrz. 2012 10:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

An alle Bricscad Fäns. Wir sind nun auch auf Bricscad umgestiegen und sind nicht nur begeistert. Ein großes Problem haben wir mit dem plotten. Wir benutzen mehrere Blöcke die Schraffuren und Linien enthalten. Nun liegen diese Schraffuren nicht immer in den Blöcken im Hintergrund. In den Plottereinstellungen kann man in den Eingenschaften einstellen das die Farben gemischt werden sollen (So win in ACAD) Anders als in ACAD funktioniert diese Funktion aber nicht. Nach einer Anfrage an den Support wurde mir dies bestätigt und gesagt das dieser Fehler auf der Arbeitsliste der Programmierer steht, er mir aber keinen Zeitrahmen für die Fehlerbehebung nennen konnte. Nun haben wir ein Problem. Drucken können wir nun nur noch an einem Rechner korrekt. An dem läuft noch ACAD 2000. An den restlichen Rechnern geht das wegen Windows 7 nicht mehr.

Für normale Elemente in der Zeichnung ist das kein Problem. Da habe ich ein Programm welches alle Schraffuren in den Hintergrund setzt. Um dies auch bei Blöcken zu machen fehlen mir Programmierkenntnisse. Habe auch schon seit ca. 4 Jahren keine Zeit mehr dafür gefunden (leider). Alle Blöcke einzelnt zu ändern und auszutauschen wäre wegen der Masse eine Wahnsinsarbeit. Hier mein Programm:

(defun c:schraffunten (/ schraffs das_echo)
(command "_undo" "_mark")
(setq das_echo (getvar "CMDECHO"))
(setvar "CMDECHO" 0)
(setq schraffs (ssget "X" '((-4 . "<NOT") (0 . "HATCH") (-4 . "NOT>"))))
(command "_copy" schraffs "" "0,0" "0,0")
(command "_erase" "_p" "" "regen")
(setvar "CMDECHO" das_echo)
(princ)
)(princ)

------------------
  Martin  

Viele Grüße aus dem schönen Münsterland!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 06. Mrz. 2012 11:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mkl-cad 10 Unities + Antwort hilfreich

Was ist mit den SYSVARS DRAWORDERCTL, HPDRAWORDER ?

Ansonsten hatte ich auch mal ein Programm geschrieben , das die  Schraffuren in den Hintergrund setzt , via  AcDBSortanstable bzw. als Option auch physisch ... auch in Blöcken.

Als Tipp :

Mit "ZEICHENREIHENF/_draworder" kann die Zeichnungsreihenfolge aller sichtbaren Objekte
(d. h. die Anzeige- und Plotreihenfolge) geändert werden. Hierbei werden aber nicht die
Geometrieobjekte in der Zeichnungsdatenbank umsortiert, sondern diese nur indiziert und
die Objektzeiger entsprechend der gewünschten Anzeigereihenfolge sortiert in einer
sogenannten "AcDBSortanstable" (so der korrekte Objektname) abgelegt. Diese Tabelle
ist Bestandteil des ExtensionDictionarys des jeweiligen Blockes, zu dem die indizierten
Objekte gehören. Deshalb ist auch die Steuerung der Anzeigereihenfolge überlappender
Objekte zwischen Modellbereich und Papierbereich oder verschiedenen Blöcken nicht
möglich.

Also muß man sich den Eigentümer-Block des Objektes suchen, da das Sortenstable-Objekt holen oder anlegen …. Und da kann man dann die Methoden wie MOVETOBOTTOM aufrufen. (... ist mehr als ein 10-Zeiler )

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 06. Mrz. 2012 12:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Besten Dank für die Antwort. Hat mir einiges gezeigt was ich noch nicht kannte. Hilft aber leider nur bei neuen Objekten oder nur bei bestehenden Schraffuren. Bei Blöcken wirds halt schwieriger und Solid-Flächen hab ich auch noch.
Ich selber werde es nicht versuchen das hin zu bekommen. Wenn ich das fertig habe sind die Programmierer wahrscheinlich mit der Fehlerkorrektur schon fertig. Aber danke für die Mühe.

------------------
  Martin  

Viele Grüße aus dem schönen Münsterland!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 06. Mrz. 2012 16:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Habe mein Programm mal etwas schlanker gemacht und mit Solid-Flächen erweitert:

(command "_draworder" (ssget "X" '((-4 . "<OR") (0 . "SOLID")(0 . "HATCH") (-4 . "OR>"))) "" "unten")

Bin jetzt am überlegen ob ich ein script mache um alle Blockzeichnungen zu ändern. Einen Befehl um alle Blöcke neu zu laden hab ich schon.

------------------
  Martin  

Viele Grüße aus dem schönen Münsterland!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

PixelMission
Mitglied
Designer


Sehen Sie sich das Profil von PixelMission an!   Senden Sie eine Private Message an PixelMission  Schreiben Sie einen Gästebucheintrag für PixelMission

Beiträge: 31
Registriert: 17.12.2011

erstellt am: 13. Mrz. 2012 21:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mkl-cad 10 Unities + Antwort hilfreich

Hi ... ich habe keine Ahnung, ob das auch bei Blöcken funktioniert:

_hatchtoback

Viel Erfolg!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 14. Mrz. 2012 16:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für die Antwort. Funzt aber bei Blöcken nicht und macht nur Schraffuren nach hinten. Nicht Solid-Flächen.

------------------
  Martin  

Viele Grüße aus dem schönen Münsterland!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz